Skip to content

Update Personal Information

After the user logs in successfully, call this API to update personal information. This API does not support modifying personal password, mobile phone number, or email address.

This is a post-login API. You need to add authorization information in the header: Authorization.

Request Description

Request Headers

Parameter NameNameRequiredTypeExample
X-operating-sys-versionCaller client operating system versionYesStringwindows10.1.1
X-device-fingerprintCaller client device fingerprintYesString156aysdna213sc50
X-device-ipCaller client IPNoString192.168.1.2
X-agentUser-Agent informationYesStringMozilla/5.0 (iPhone; CPU iPhone OS 13_3 like Mac OS X)
X-LUsed for internationalization language settingNoStringzh
X-client-idApplication authorization IDYesStringnTo1eRIub60vPb54WeE6aojPwYwImtl4
AuthorizationAuthorization informationYesStringBearer {id_token}
content-typeContent format typeYesStringapplication/json

Request Example

json
{
    "user_name": "zhangsan", 
    "name": "张三", 
    "head_img": "https://thirdwx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTIQ8QOTbqc2bmP0WibUIUskX39eJlJAEbAibXs", 
    "attr_gender": "male", 
    "attr_birthday": "2022-02-17", 
    "attr_nick_name": "张三", 
    "mailing_address": "湖北省武汉市", 
    "zip_code": "430000", 
    "first_name": "zhangsan", 
    "middle_name": "zhangsan", 
    "last_name": "zhangsan", 
    "industry": "事业单位", 
    "extension": {
        "age": "18"
    }
}

Request Parameters

Parameter NameNameRequiredTypeDescription
user_nameUsernameNoString
nameNameNoString
head_imgAvatar (URL)NoString
attr_genderGenderNoStringOptional values: female: Female; male: Male; unknow: Keep confidential
attr_birthdayBirthdayNoStringFormat: yyyy-MM-dd
attr_nick_nameNicknameNoString
mailing_addressMailing addressNoString
zip_codeZip codeNoString
first_nameFirst nameNoString
middle_nameMiddle nameNoString
last_nameLast nameNoString
industryIndustryNoString
extensionExtended attributesNoJSONObjectExtended attributes need to be defined in the enterprise

Response Example

Success Example

HTTP/1.1 200 OK

Error Example

HTTP/1.1 400 Bad Request

json
{
    "error_code": "IDAAS.SDK.PARAM.0016",
    "error_msg": "IdToken is invalid or expired"
}

Response Parameters

None

Error Codes

Status CodeError CodeChinese Error MessageEnglish Error MessageResolution
400IDAAS.SDK.USER.0018用户名不符合校验规则The username does not meet the verification rulesPlease check whether the username field in the input parameters complies with the validation rules for the username field in [Enterprise Center - User - User Attribute Definition]
400IDAAS.SDK.USER.0019姓名不符合校验规则The name does not meet the verification rulesPlease check whether the name field in the input parameters complies with the validation rules for the name field in [Enterprise Center - User - User Attribute Definition]
400IDAAS.SDK.USER.0023性别不符合校验规则The gender does not meet the verification rulesPlease check whether the gender field in the input parameters complies with the validation rules for the gender field in [Enterprise Center - User - User Attribute Definition]
400IDAAS.SDK.USER.0024生日不符合校验规则The birthday does not meet the verification rulesPlease check whether the birthday field in the input parameters complies with the validation rules for the birthday field in [Enterprise Center - User - User Attribute Definition]
400IDAAS.SDK.USER.0025昵称不符合校验规则The nickname does not meet the verification rulesPlease check whether the nickname field in the input parameters complies with the validation rules for the nickname field in [Enterprise Center - User - User Attribute Definition]
400IDAAS.SDK.USER.0026邮寄地址不符合校验规则The mailing address does not meet the verification rulesPlease check whether the mailing address field in the input parameters complies with the validation rules for the mailing address field in [Enterprise Center - User - User Attribute Definition]
400IDAAS.SDK.USER.0027邮政编码不符合校验规则The zip code does not meet the verification rulesPlease check whether the zip code field in the input parameters complies with the validation rules for the birthday field in [Enterprise Center - User - User Attribute Definition]
400IDAAS.SDK.USER.0028名字不符合校验规则The first name does not meet the verification rulesPlease check whether the first name field in the input parameters complies with the validation rules for the first name field in [Enterprise Center - User - User Attribute Definition]
400IDAAS.SDK.USER.0029中间名不符合校验规则The middle name does not meet the verification rulesPlease check whether the middle name field in the input parameters complies with the validation rules for the middle name field in [Enterprise Center - User - User Attribute Definition]
400IDAAS.SDK.USER.0030姓氏不符合校验规则The last name does not meet the verification rulesPlease check whether the last name field in the input parameters complies with the validation rules for the last name field in [Enterprise Center - User - User Attribute Definition]
400IDAAS.SDK.USER.0031所属行业不符合校验规则The industry does not meet the verification rulesPlease check whether the industry field in the input parameters complies with the validation rules for the industry field in [Enterprise Center - User - User Attribute Definition]
400IDAAS.SDK.USER.0033扩展属性{0}不符合校验规则The extended attribute {0} does not meet the verification rulesPlease check whether the extended attribute {0} field in the input parameters complies with the validation rules for the extended attribute {0} field in [Enterprise Center - User - User Attribute Definition]
400IDAAS.SDK.USER.0034用户名已存在Username already existsPlease check whether the user exists
400IDAAS.SDK.USER.0037扩展属性{0}已存在Extended property {0} already existsDelete the extended attribute {0} and re-add it, or replace it with an extended attribute {0} that has not been added.
400IDAAS.SDK.PARAM.0001设备信息不完整Device information is incompletePlease check whether the input device information is complete
400IDAAS.SDK.PARAM.0002clientId不能为空clientId cannot be emptyPlease check whether the input clientId is empty
400IDAAS.SDK.PARAM.0003应用未注册,请先注册应用The app is not registered, please register the app firstPlease check whether the input clientId is correct
400IDAAS.SDK.PARAM.0015IdToken不能为空IdToken cannot be emptyPlease check whether the input IdToken is empty
400IDAAS.SDK.PARAM.0016IdToken无效或已过期IdToken is invalid or expiredPlease re-acquire the IdToken and try again
400IDAAS.SDK.USER.0001用户未找到User not foundPlease register first and try again

BambooCloud IDaaS Open Platform